PaidGoods
API referenceNotifications

Every event and where it is sent

GET
/v1/stores/{storeId}/notifications/matrix

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/notifications/matrix"
{  "data": [    {      "event": "string",      "dashboard": {        "enabled": true      },      "email": {        "enabled": true,        "target": "string"      },      "push": {        "enabled": true      },      "discord": {        "enabled": true,        "url": "string",        "template": {          "title": "string",          "description": "string",          "color": "string"        }      },      "http": {        "enabled": true,        "url": "string"      },      "label": "string",      "description": "string",      "group": "string",      "sellauthName": "string",      "extraTargets": {        "discord": -9007199254740991,        "http": -9007199254740991      }    }  ],  "push": {    "configured": true,    "publicKey": "string",    "subscriptions": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",        "label": "string",        "userAgent": "string",        "mine": true,        "createdAt": "string",        "lastSuccessAt": "string",        "lastError": "string"      }    ]  },  "http": {    "signatureHeader": "string",    "secretHint": "string"  }}